summaryrefslogtreecommitdiff
path: root/samples/bpf/run_cookie_uid_helper_example.sh
diff options
context:
space:
mode:
authorChenbo Feng <fengc@google.com>2017-03-22 17:27:36 -0700
committerDavid S. Miller <davem@davemloft.net>2017-03-23 17:01:57 -0700
commit51570a5ab2b74a1b929e5a6c25b4df93652ac0aa (patch)
tree7739a3fff6681e52e7805b0d7eae39c0d2d99c68 /samples/bpf/run_cookie_uid_helper_example.sh
parent6acc5c2910689fc6ee181bf63085c5efff6a42bd (diff)
A Sample of using socket cookie and uid for traffic monitoring
Add a sample program to demostrate the possible usage of get_socket_cookie and get_socket_uid helper function. The program will store bytes and packets counting of in/out traffic monitored by iptables and store the stats in a bpf map in per socket base. The owner uid of the socket will be stored as part of the data entry. A shell script for running the program is also included. Acked-by: Alexei Starovoitov <ast@kernel.org> Acked-by: Willem de Bruijn <willemb@google.com> Signed-off-by: Chenbo Feng <fengc@google.com> Signed-off-by: David S. Miller <davem@davemloft.net>
Diffstat (limited to 'samples/bpf/run_cookie_uid_helper_example.sh')
-rw-r--r--samples/bpf/run_cookie_uid_helper_example.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/samples/bpf/run_cookie_uid_helper_example.sh b/samples/bpf/run_cookie_uid_helper_example.sh
new file mode 100644
index 000000000000..40da8aa75c44
--- /dev/null
+++ b/samples/bpf/run_cookie_uid_helper_example.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+local_dir="$(pwd)"
+root_dir=$local_dir/../..
+mnt_dir=$(mktemp -d --tmp)
+
+on_exit() {
+ iptables -D INPUT -m bpf --object-pinned ${mnt_dir}/bpf_prog -j ACCEPT
+ umount ${mnt_dir}
+ rm -r ${mnt_dir}
+}
+
+trap on_exit EXIT
+mount -t bpf bpf ${mnt_dir}
+./per_socket_stats_example ${mnt_dir}/bpf_prog